JobStateInternal (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job, enum: JobStateInternal

Package org.apache.hadoop.mapreduce.v2.app.job

# Enum Class JobStateInternal

java.lang.Object
java.lang.Enum<JobStateInternal>
org.apache.hadoop.mapreduce.v2.app.job.JobStateInternal

All Implemented Interfaces:
  `Serializable`, `Comparable<JobStateInternal>`, `Constable`

public enum JobStateInternal extends Enum<JobStateInternal>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMITTING`
  `ERROR`
  `FAIL_ABORT`
  `FAIL_WAIT`
  `FAILED`
  `INITED`
  `KILL_ABORT`
  `KILL_WAIT`
  `KILLED`
  `NEW`
  `REBOOT`
  `RUNNING`
  `SETUP`
  `SUCCEEDED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobStateInternal`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JobStateInternal[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final JobStateInternal NEW

  - ### SETUP

    public static final JobStateInternal SETUP

  - ### INITED

    public static final JobStateInternal INITED

  - ### RUNNING

    public static final JobStateInternal RUNNING

  - ### COMMITTING

    public static final JobStateInternal COMMITTING

  - ### SUCCEEDED

    public static final JobStateInternal SUCCEEDED

  - ### FAIL_WAIT

    public static final JobStateInternal FAIL_WAIT

  - ### FAIL_ABORT

    public static final JobStateInternal FAIL_ABORT

  - ### FAILED

    public static final JobStateInternal FAILED

  - ### KILL_WAIT

    public static final JobStateInternal KILL_WAIT

  - ### KILL_ABORT

    public static final JobStateInternal KILL_ABORT

  - ### KILLED

    public static final JobStateInternal KILLED

  - ### ERROR

    public static final JobStateInternal ERROR

  - ### REBOOT

    public static final JobStateInternal REBOOT

- ## Method Details

  - ### values

    public static JobStateInternal[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JobStateInternal valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null